> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relayai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Audio File

> Get details of a specific audio file.



## OpenAPI

````yaml get /api/v1/datasets/{dataset_id}/audio/{audio_id}
openapi: 3.1.0
info:
  title: Relay API
  description: Voice AI Artifact Detection Platform
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/datasets/{dataset_id}/audio/{audio_id}:
    get:
      tags:
        - audio
      summary: Get Audio File
      description: Get details of a specific audio file.
      operationId: get_audio_file_api_v1_datasets__dataset_id__audio__audio_id__get
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Dataset Id
        - name: audio_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Audio Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AudioFileResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    AudioFileResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        dataset_id:
          type: string
          format: uuid
          title: Dataset Id
        original_filename:
          type: string
          title: Original Filename
        file_size_bytes:
          type: integer
          title: File Size Bytes
        duration_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration Ms
        sample_rate:
          type: integer
          title: Sample Rate
        processing_status:
          type: string
          enum:
            - pending
            - normalizing
            - embedding
            - ready
            - failed
          title: Processing Status
        processing_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Processing Error
        chunk_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Chunk Count
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - dataset_id
        - original_filename
        - file_size_bytes
        - duration_ms
        - sample_rate
        - processing_status
        - processing_error
        - chunk_count
        - created_at
        - updated_at
      title: AudioFileResponse
      description: Response schema for an audio file.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````